Bug 1488893 - RBAC: User with Viewer role cannot access Content -> Red Hat Repositories
Summary: RBAC: User with Viewer role cannot access Content -> Red Hat Repositories
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.3.0
Hardware: All
OS: All
high
medium vote
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Chris Brown
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-06 12:12 UTC by Brad Buckingham
Modified: 2019-11-05 23:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:07:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
Satellite 6.3 - missing Red Hat Repositories (71.83 KB, image/png)
2017-09-06 12:12 UTC, Brad Buckingham
no flags Details
Upstream: Viewer Role - Red Hat Repositories exists (141.49 KB, image/png)
2018-03-22 18:53 UTC, Brad Buckingham
no flags Details
Viewer role can view Content > Red Hat Repositories (94.11 KB, image/png)
2018-06-21 18:15 UTC, Chris Brown
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3236661 0 None None None 2017-11-09 13:47:45 UTC

Description Brad Buckingham 2017-09-06 12:12:42 UTC
Created attachment 1322641 [details]
Satellite 6.3 - missing Red Hat Repositories

Description of problem:


A user with the 'Viewer' role cannot access the Content -> Red Hat Repositories page.

Version-Release number of selected component (if applicable):

Satellite 6.3 snap 14: 
satellite-6.3.0-17.0.beta.el7sat.noarch,
tfm-rubygem-katello-3.4.5-1.el7sat.noarch

How reproducible:
Always 

Steps to Reproduce:
1. create a new user
2. assign the user the Viewer role and default organization
3. log in as the new user

Actual results:
User can see the Content menu; however, 'Red Hat Repositories' is not listed.

Expected results:
User should also be able to see 'Red Hat Repositories'

Additional info:
This issue was found while verifying bug 1446724.

Comment 3 Brad Buckingham 2018-03-22 18:52:46 UTC
This issue has been resolved in the upstream and will be available in the next release (Satellite 6.4).  

Attaching a screenshot from the upstream to illustrate it's existence.

Comment 4 Brad Buckingham 2018-03-22 18:53:34 UTC
Created attachment 1411815 [details]
Upstream: Viewer Role - Red Hat Repositories exists

Comment 5 Brad Buckingham 2018-03-22 18:54:12 UTC
Moving to POST based upon comment 3.

Comment 6 Chris Brown 2018-06-21 18:15:05 UTC
Created attachment 1453574 [details]
Viewer role can view Content > Red Hat Repositories

Verified in Satellite 6.4

Comment 8 Bryan Kearney 2018-10-16 19:07:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.